Subject: Re: control-spacebar
From: "H. James de St. Germain" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 8 Jan 2004 15:35:08 -0700 (MST)

several people have responded that the CYGWIN environment variable
should be set in the cygwin.bat file, but for whatever reason, I put
it in the shell resource file and that fixed the problems i was having
at the time... Its curious that it works in either place and even more
curious that placing it after cygwin starts causes programs like rxvt
to core dump.

cheers 
  jim

> X-Original-To: [email-masked]
> X-Authentication-Warning: slinky.cs.nyu.edu: pechtcha owned process doing -bs
> Date: Thu, 8 Jan 2004 17:23:42 -0500 (EST)
> From: Igor Pechtchanski <[email-masked]>
> Reply-To: [email-masked]
> Cc: "H. James de St. Germain" <[email-masked]>
> Importance: Normal
> 
> On Thu, 8 Jan 2004, Larry Hall wrote:
> 
> > At 05:03 PM 1/8/2004, H. James de St. Germain you wrote:
> > >(But doesn't everyone just work in emacs anyway?)
> >
> > No, if I'm one of "everyone".
> 
> Hey, I personally use vi(m).  But I do know people who'd like to boot up
> emacs as their OS. :-)
> 
> > >Then when you start cygwin, it pops up an rxvt terminal for you.
> > >
> > >NOTE: in the past I have had
> > >
> > >  setenv CYGWIN "tty"
> > >
> > >in my resource file (.tcshrc) and this causes the rxvt to core dump
> > >upon exit.  Removing this line seems to have fixed the problem.
> >
> > Right.  "tty" is a Cygwin option that needs to be set *before* cygwin DLL
> > is loaded.  That means it needs to be set before launching your cygwin.bat
> > and before any Cygwin services.  One could argue that setting it where you
> > did shouldn't cause a crash but that just degenerates to a PTC case IMO.
> 
> Technically, it needs to be set before launching any Cygwin programs from
> cygwin.bat.  So, you actually can set it *in* cygwin.bat...  Just my 2c.
> 	Igor
> -- 
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
>     '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> "I have since come to realize that being between your mentor and his route
> to the bathroom is a major career booster."  -- Patrick Naughton
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/